.TH FEED2TOOT "1" "November 2020" "feed2toot" "User Commands"
.SH NAME
feed2toot - Take rss feed and send it to Mastodon
.SH USAGE
usage: feed2toot [\-h] [\-\-version] [\-c FILE [FILE ...]] [\-a] [\-\-ignore\-ssl]
.IP
[\-l LIMIT] [\-t LOCKTIMEOUT] [\-\-cachefile CACHEFILE]
[\-\-lockfile LOCKFILE] [\-n] [\-v] [\-d]
[\-\-syslog [{CRITICAL,FATAL,ERROR,WARN,WARNING,INFO,DEBUG}]]
[\-\-hashtaglist HASHTAGLIST] [\-p] [\-r http://...]
[\-\-rss\-sections]
.PP
Take rss feed and send it to Mastodon
.SS "optional arguments:"
.TP
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-\-version\fR
show program's version number and exit
.TP
\fB\-c\fR FILE [FILE ...], \fB\-\-config\fR FILE [FILE ...]
Location of config file (default:
['~/.config/feed2toot.ini'])
.TP
\fB\-a\fR, \fB\-\-all\fR
tweet all RSS items, regardless of cache
.TP
\fB\-\-ignore\-ssl\fR
ignore ssl errors while fetching rss feeds
.TP
\fB\-l\fR LIMIT, \fB\-\-limit\fR LIMIT
tweet only LIMIT items (default: 10)
.TP
\fB\-t\fR LOCKTIMEOUT, \fB\-\-lock\-timeout\fR LOCKTIMEOUT
lock timeout in seconds after which feed2toot can
removes the lock itself
.TP
\fB\-\-cachefile\fR CACHEFILE
location of the cache file (default: None)
.TP
\fB\-\-lockfile\fR LOCKFILE
location of the lock file (default:
~/.config/feed2toot.lock)
.TP
\fB\-n\fR, \fB\-\-dry\-run\fR
Do not actually post tweets
.TP
\fB\-v\fR, \fB\-\-verbose\fR, \fB\-\-info\fR
enable informative (verbose) output, work on log level
INFO
.TP
\fB\-d\fR, \fB\-\-debug\fR
enable debug output, work on log level DEBUG
.TP
\fB\-\-syslog\fR [{CRITICAL,FATAL,ERROR,WARN,WARNING,INFO,DEBUG}]
log to syslog facility, default: no logging, INFO if
\fB\-\-syslog\fR is specified without argument
.TP
\fB\-\-hashtaglist\fR HASHTAGLIST
a list of hashtags to match
.TP
\fB\-p\fR, \fB\-\-populate\-cache\fR
populate RSS entries in cache without actually posting
them to Mastodon
.TP
\fB\-r\fR http://..., \fB\-\-rss\fR http://...
the RSS feed URL to fetch items from
.TP
\fB\-\-rss\-sections\fR
print the available sections of the rss feed to be
used in the tweet template
.PP
For more information: https://feed2toot.readthedocs.io
